Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.css2
Class FontVariantManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.css2.FontVariantManager

All Implemented Interfaces:
  ValueManager

    public class FontVariantManager

extends IdentifierManager

This class provides a manager for the 'font-variant' property values.

Field Summary
`protected static StringMap` | `values` The identifier values.

Constructor Summary
`FontVariantManager()`

Method Summary
`Value` | `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`StringMap` | `getIdentifiers()` Implements `IdentifierManager.getIdentifiers()`.
`String` | `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`int` | `getPropertyType()` Implements `ValueManager.getPropertyType()`.
`boolean` | `isAdditiveProperty()` Implements `ValueManager.isAdditiveProperty()`.
`boolean` | `isAnimatableProperty()` Implements `ValueManager.isAnimatableProperty()`.
`boolean` | `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue, createValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected static final StringMap values

  The identifier values.

Constructor Detail

### FontVariantManager

    public FontVariantManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### isAnimatableProperty

    public boolean isAnimatableProperty()

  Implements `ValueManager.isAnimatableProperty()`.

### isAdditiveProperty

    public boolean isAdditiveProperty()

  Implements `ValueManager.isAdditiveProperty()`.

### getPropertyType

    public int getPropertyType()

  Implements `ValueManager.getPropertyType()`.

### getPropertyName

    public String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

### getIdentifiers

    public StringMap getIdentifiers()

  Implements `IdentifierManager.getIdentifiers()`.

  Specified by:
    `getIdentifiers` in class `IdentifierManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.